This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1026859 - DTGov cannot deploy to JBoss domain manager
DTGov cannot deploy to JBoss domain manager
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: 6.0.0
Assigned To: Kurt T Stam
Stefan Bunciak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 09:42 EST by Stefan Bunciak
Modified: 2014-02-06 10:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Bunciak 2013-11-05 09:42:51 EST
Description of problem:

DTGov uses jboss cli to deploy to jboss domian manager with arguments --force and --server-groups [1] which are not permitted to be used together[2].

[1] https://github.com/Governance/dtgov/blob/3bb00815c0ce4a014dcd7b6679e5783c0515a121/dtgov-war/src/main/java/org/overlord/sramp/governance/services/DeploymentResource.java#L492

[2] https://issues.jboss.org/browse/AS7-2672?focusedCommentId=12645897&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-12645897

Version-Release number of selected component (if applicable):
* 6.0.0.ER6 (Beta)

How reproducible:
* 100%

Steps to Reproduce:
1. Install FSW
2. Configure DTGov deployment target, e.g. 
governance.targets= fsw|http://www.jboss.org/overlord/deployment-status.owl#InProd|as_cli|admin::<admin_pwd>::<jboss_ip>::9999
3. Update DTGov workflow to use the new target
4. Start defined target server in domain mode
5. Create new deployment in DTGov

Actual results:
* Server log: http://pastebin.test.redhat.com/174246
* Application is not deployed

Expected results:


Additional info:
Comment 1 Stefan Bunciak 2014-01-14 08:30:32 EST
DTGov assumes a server-group named according to the dtgov target name. This should be documented (so created BZ 1052943 - Add target condition).

Verified in FSW 6.0.0.ER8.

Note You need to log in before you can comment on or make changes to this bug.